Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.util
Class WidgetList

    java.lang.Object
      de.grogra.pf.ui.util.WidgetList

All Implemented Interfaces:
  ComponentWrapper, Widget, Disposable

    public final class WidgetList

extends java.lang.Object
implements Widget

Field Summary

Fields inherited from interface de.grogra.pf.ui.Widget
`WIDGET_VALUE_PROPERTY`

Constructor Summary
`WidgetList(java.lang.Object component, Widget... widgets)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener l)`
`void` | `dispose()`
`java.lang.Object` | `getComponent()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener l)`
`void` | `setEnabled(boolean enabled)`
`void` | `updateValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetList

    public WidgetList(java.lang.Object component,
                      Widget... widgets)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

  Specified by:
    `addPropertyChangeListener` in interface `Widget`

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener l)

  Specified by:
    `addVetoableChangeListener` in interface `Widget`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getComponent

    public java.lang.Object getComponent()

  Specified by:
    `getComponent` in interface `ComponentWrapper`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

  Specified by:
    `removePropertyChangeListener` in interface `Widget`

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener l)

  Specified by:
    `removeVetoableChangeListener` in interface `Widget`

### setEnabled

    public void setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `Widget`

### updateValue

    public void updateValue(java.lang.Object value)

  Specified by:
    `updateValue` in interface `Widget`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD